Index: /XIOS/trunk/arch/arch-PW6_VARGAS.env
===================================================================
--- /XIOS/trunk/arch/arch-PW6_VARGAS.env	(revision 329)
+++ /XIOS/trunk/arch/arch-PW6_VARGAS.env	(revision 329)
@@ -0,0 +1,11 @@
+module unload netcdf
+module unload hdf5
+module unload phdf5
+module load phdf5/1.8.7 
+
+export HDF5_INC_DIR=$WORKDIR/hdf5/include
+export HDF5_LIB_DIR=$WORKDIR/hdf5/lib
+
+export NETCDF_INC_DIR=$WORKDIR/netcdf4/include
+export NETCDF_LIB_DIR=$WORKDIR/netcdf4/lib
+
Index: /XIOS/trunk/arch/arch-PW6_VARGAS.fcm
===================================================================
--- /XIOS/trunk/arch/arch-PW6_VARGAS.fcm	(revision 329)
+++ /XIOS/trunk/arch/arch-PW6_VARGAS.fcm	(revision 329)
@@ -0,0 +1,20 @@
+################################################################################
+###################        Projet xios - xmlioserver       #####################
+################################################################################
+
+%CCOMPILER      mpCC_r
+%FCOMPILER      mpxlf2003_r
+%LINKER         mpxlf2003_r 
+
+%BASE_CFLAGS    -DXIOS_LIBRARY -DNONE -DXIOS_LIBRARY 
+%PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -DXIOS_DEBUG -g 
+%DEBUG_CFLAGS   -DXIOS_DEBUG -g 
+
+%BASE_FFLAGS    -DXIOS_LIBRARY -DXIOS_LIBRARY 
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -DXIOS_DEBUG -g 
+%DEBUG_FFLAGS   -DXIOS_DEBUG -g
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lC
Index: /XIOS/trunk/arch/arch-PW6_VARGAS.path
===================================================================
--- /XIOS/trunk/arch/arch-PW6_VARGAS.path	(revision 329)
+++ /XIOS/trunk/arch/arch-PW6_VARGAS.path	(revision 329)
@@ -0,0 +1,15 @@
+NETCDF_INCDIR="-I $NETCDF_INC_DIR"
+NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+HDF5_INCDIR=""
+HDF5_LIBDIR=""
+HDF5_LIB=""
+
+OASIS_INCDIR="-I$WORKDIR/NEMO_COUPLE/prism/X64/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$WORKDIR/NEMO_COUPLE/prism/X64/lib"
+OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: /XIOS/trunk/bld.cfg
===================================================================
--- /XIOS/trunk/bld.cfg	(revision 328)
+++ /XIOS/trunk/bld.cfg	(revision 329)
@@ -37,12 +37,13 @@
 bld::tool::fpp       cpp
 bld::tool::cpp       cpp
-bld::tool::cppflags  %BASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include -I/usr/include
-bld::tool::fppflags  -std=c99 %BASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include -I/usr/include
+bld::tool::cppflags  %BASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include 
+bld::tool::fppflags  -std=c99 %BASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include 
 bld::tool::ld        %LINKER
 bld::tool::ldflags   %LD_FLAGS 
-bld::tool::cflags    %CFLAGS %CBASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include -I/usr/include
-bld::tool::fflags    %FFLAGS %FBASE_INC -I/usr/include
+bld::tool::cflags    %CFLAGS %CBASE_INC -I${PWD}/extern/boost/include -I${PWD}/extern/rapidxml/include 
+bld::tool::fflags    %FFLAGS %FBASE_INC 
 bld::tool::cppkeys   %CPP_KEY
 bld::tool::fppkeys   %CPP_KEY
+bld::tool::make   gmake
 
 # Pre-process code before analysing dependencies
Index: /XIOS/trunk/src/interface/fortran/gridgroup_interface.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran/gridgroup_interface.f90	(revision 328)
+++ /XIOS/trunk/src/interface/fortran/gridgroup_interface.f90	(revision 329)
@@ -4,10 +4,10 @@
    INTERFACE ! Ne pas appeler directement/Interface FORTRAN 2003 <-> C99
      
-      SUBROUTINE cxios_domaingroup_handle_create(ret, idt, idt_size) BIND(C)
+      SUBROUTINE cxios_gridgroup_handle_create(ret, idt, idt_size) BIND(C)
          USE ISO_C_BINDING
          INTEGER  (kind = C_INTPTR_T)               :: ret
          CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: idt
          INTEGER  (kind = C_INT)     , VALUE        :: idt_size
-      END SUBROUTINE cxios_domaingroup_handle_create
+      END SUBROUTINE cxios_gridgroup_handle_create
 
       SUBROUTINE cxios_gridgroup_valid_id(ret, idt, idt_size) BIND(C)