Index: XIOS/trunk/src/date/allleap.cpp
===================================================================
--- XIOS/trunk/src/date/allleap.cpp	(revision 306)
+++ XIOS/trunk/src/date/allleap.cpp	(revision 334)
@@ -8,11 +8,15 @@
 
       CAllLeapCalendar::CAllLeapCalendar(const StdString & dateStr)
-         : CCalendar("AllLeap", dateStr)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("AllLeap")
+      { initializeDate(dateStr); }
+
+      CAllLeapCalendar::CAllLeapCalendar(const StdString & dateStr,const StdString & timeOriginStr)
+         : CCalendar("AllLeap")
+      { initializeDate(dateStr, timeOriginStr); }
 
       CAllLeapCalendar::CAllLeapCalendar(int yr, int mth, int d,
                                          int hr, int min, int sec)
-         : CCalendar("AllLeap", yr, mth, d, hr, min, sec)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("AllLeap")
+      { initializeDate(yr, mth, d, hr, min, sec) ; }
 
       CAllLeapCalendar::~CAllLeapCalendar(void)
Index: XIOS/trunk/src/date/allleap.hpp
===================================================================
--- XIOS/trunk/src/date/allleap.hpp	(revision 306)
+++ XIOS/trunk/src/date/allleap.hpp	(revision 334)
@@ -19,6 +19,7 @@
 
             /// Constructeur ///
-            CAllLeapCalendar(void);                                   // Not implemented yet.
+//            CAllLeapCalendar(void);                                   // Not implemented yet.
             CAllLeapCalendar(const StdString & dateStr);
+            CAllLeapCalendar(const StdString & dateStr,const StdString & timeOriginStr);
             CAllLeapCalendar(int yr = 0, int mth = 1, int d   = 1,
                             int hr = 0, int min = 0, int sec = 0);
Index: XIOS/trunk/src/date/d360.cpp
===================================================================
--- XIOS/trunk/src/date/d360.cpp	(revision 306)
+++ XIOS/trunk/src/date/d360.cpp	(revision 334)
@@ -8,11 +8,15 @@
 
       CD360Calendar::CD360Calendar(const StdString & dateStr)
+         : CCalendar("D360")
+      { initializeDate(dateStr); }
+
+      CD360Calendar::CD360Calendar(const StdString & dateStr,const StdString & timeOriginStr)
          : CCalendar("D360", dateStr)
-      { /* Ne rien faire de plus */ }
+      { initializeDate(dateStr, timeOriginStr); }
 
       CD360Calendar::CD360Calendar(int yr, int mth, int d,
                                    int hr, int min, int sec)
-         : CCalendar("D360", yr, mth, d, hr, min, sec)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("D360")
+      { initializeDate(yr, mth, d, hr, min, sec) ; }
 
       CD360Calendar::~CD360Calendar(void)
Index: XIOS/trunk/src/date/d360.hpp
===================================================================
--- XIOS/trunk/src/date/d360.hpp	(revision 306)
+++ XIOS/trunk/src/date/d360.hpp	(revision 334)
@@ -21,4 +21,5 @@
             CD360Calendar(void);                                   // Not implemented yet.
             CD360Calendar(const StdString & dateStr);
+            CD360Calendar(const StdString & dateStr,const StdString & timeOriginStr);
             CD360Calendar(int yr = 0, int mth = 1, int d   = 1,
                           int hr = 0, int min = 0, int sec = 0);
Index: XIOS/trunk/src/date/gregorian.cpp
===================================================================
--- XIOS/trunk/src/date/gregorian.cpp	(revision 306)
+++ XIOS/trunk/src/date/gregorian.cpp	(revision 334)
@@ -8,11 +8,15 @@
 
       CGregorianCalendar::CGregorianCalendar(const StdString & dateStr)
-         : CCalendar("Gregorian", dateStr)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("Gregorian")
+      { initializeDate(dateStr); }
+
+      CGregorianCalendar::CGregorianCalendar(const StdString & dateStr,const StdString & timeOriginStr)
+         : CCalendar("Gregorian")
+      { initializeDate(dateStr, timeOriginStr); }
 
       CGregorianCalendar::CGregorianCalendar(int yr, int mth, int d,
                                              int hr, int min, int sec)
-         : CCalendar("Gregorian", yr, mth, d, hr, min, sec)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("Gregorian")
+      { initializeDate(yr, mth, d, hr, min, sec) ; }
 
       CGregorianCalendar::~CGregorianCalendar(void)
Index: XIOS/trunk/src/date/gregorian.hpp
===================================================================
--- XIOS/trunk/src/date/gregorian.hpp	(revision 306)
+++ XIOS/trunk/src/date/gregorian.hpp	(revision 334)
@@ -19,6 +19,7 @@
 
             /// Constructeur ///
-            CGregorianCalendar(void);                                   // Not implemented yet.
+//            CGregorianCalendar(void);                                   // Not implemented yet.
             CGregorianCalendar(const StdString & dateStr);
+            CGregorianCalendar(const StdString & dateStr,const StdString & timeOriginStr);
             CGregorianCalendar(int yr = 0, int mth = 1, int d   = 1,
                                int hr = 0, int min = 0, int sec = 0);
Index: XIOS/trunk/src/date/julian.cpp
===================================================================
--- XIOS/trunk/src/date/julian.cpp	(revision 306)
+++ XIOS/trunk/src/date/julian.cpp	(revision 334)
@@ -8,11 +8,15 @@
 
       CJulianCalendar::CJulianCalendar(const StdString & dateStr)
-         : CCalendar("Julian", dateStr)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("Julian")
+      { initializeDate(dateStr); }
+
+      CJulianCalendar::CJulianCalendar(const StdString & dateStr,const StdString & timeOriginStr)
+         : CCalendar("Julian")
+      { initializeDate(dateStr, timeOriginStr); }
 
       CJulianCalendar::CJulianCalendar(int yr, int mth, int d,
                                        int hr, int min, int sec)
-         : CCalendar("Julian", yr, mth, d, hr, min, sec)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("Julian")
+      { initializeDate(yr, mth, d, hr, min, sec) ; }
 
       CJulianCalendar::~CJulianCalendar(void)
Index: XIOS/trunk/src/date/julian.hpp
===================================================================
--- XIOS/trunk/src/date/julian.hpp	(revision 306)
+++ XIOS/trunk/src/date/julian.hpp	(revision 334)
@@ -19,6 +19,7 @@
 
             /// Constructeur ///
-            CJulianCalendar(void);                                   // Not implemented yet.
+//            CJulianCalendar(void);                                   // Not implemented yet.
             CJulianCalendar(const StdString & dateStr);
+            CJulianCalendar(const StdString & dateStr,const StdString & timeOriginStr);
             CJulianCalendar(int yr = 0, int mth = 1, int d   = 1,
                             int hr = 0, int min = 0, int sec = 0);
Index: XIOS/trunk/src/date/noleap.cpp
===================================================================
--- XIOS/trunk/src/date/noleap.cpp	(revision 306)
+++ XIOS/trunk/src/date/noleap.cpp	(revision 334)
@@ -1,3 +1,4 @@
 #include "noleap.hpp"
+#include "calendar.hpp"
 
 namespace xmlioserver
@@ -9,10 +10,15 @@
       CNoLeapCalendar::CNoLeapCalendar(const StdString & dateStr)
          : CCalendar("NoLeap", dateStr)
-      { /* Ne rien faire de plus */ }
+      { initializeDate(dateStr); }
+
+      CNoLeapCalendar::CNoLeapCalendar(const StdString & dateStr,const StdString & timeOriginStr)
+         : CCalendar("NoLeap", dateStr, timeOriginStr)
+      { initializeDate(dateStr, timeOriginStr); }
 
       CNoLeapCalendar::CNoLeapCalendar(int yr, int mth, int d,
                                        int hr, int min, int sec)
-         : CCalendar("NoLeap", yr, mth, d, hr, min, sec)
-      { /* Ne rien faire de plus */ }
+         : CCalendar("NoLeap")
+      { initializeDate(yr, mth, d, hr, min, sec) ; }
+
 
       CNoLeapCalendar::~CNoLeapCalendar(void)
Index: XIOS/trunk/src/date/noleap.hpp
===================================================================
--- XIOS/trunk/src/date/noleap.hpp	(revision 306)
+++ XIOS/trunk/src/date/noleap.hpp	(revision 334)
@@ -19,6 +19,7 @@
 
             /// Constructeur ///
-            CNoLeapCalendar(void);                                   // Not implemented yet.
+//            CNoLeapCalendar(void);                                   // Not implemented yet.
             CNoLeapCalendar(const StdString & dateStr);
+            CNoLeapCalendar(const StdString & dateStr,const StdString & timeOriginStr);
             CNoLeapCalendar(int yr = 0, int mth = 1, int d   = 1,
                             int hr = 0, int min = 0, int sec = 0);