Index: XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 335)
+++ XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 336)
@@ -60,4 +60,19 @@
   
   
+  void cxios_set_context_time_origin(context_Ptr context_hdl, const char * time_origin, int time_origin_size)
+  {
+    std::string time_origin_str;
+    if(!cstr2string(time_origin, time_origin_size, time_origin_str)) return;
+    context_hdl->time_origin.setValue(time_origin_str);
+    context_hdl->sendAttributToServer(context_hdl->time_origin);
+  }
+  
+  void cxios_get_context_time_origin(context_Ptr context_hdl, char * time_origin, int time_origin_size)
+  {
+    if(!string_copy(context_hdl->time_origin.getValue(),time_origin , time_origin_size))
+      ERROR("void cxios_get_context_time_origin(context_Ptr context_hdl, char * time_origin, int time_origin_size)", <<"Input string is to short");
+  }
+  
+  
   void cxios_set_context_timestep(context_Ptr context_hdl, const char * timestep, int timestep_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 335)
+++ XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 336)
@@ -99,4 +99,19 @@
   
   
+  void cxios_set_file_par_access(file_Ptr file_hdl, const char * par_access, int par_access_size)
+  {
+    std::string par_access_str;
+    if(!cstr2string(par_access, par_access_size, par_access_str)) return;
+    file_hdl->par_access.setValue(par_access_str);
+    file_hdl->sendAttributToServer(file_hdl->par_access);
+  }
+  
+  void cxios_get_file_par_access(file_Ptr file_hdl, char * par_access, int par_access_size)
+  {
+    if(!string_copy(file_hdl->par_access.getValue(),par_access , par_access_size))
+      ERROR("void cxios_get_file_par_access(file_Ptr file_hdl, char * par_access, int par_access_size)", <<"Input string is to short");
+  }
+  
+  
   void cxios_set_file_split_freq(file_Ptr file_hdl, const char * split_freq, int split_freq_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 335)
+++ XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 336)
@@ -114,4 +114,19 @@
   
   
+  void cxios_set_filegroup_par_access(filegroup_Ptr filegroup_hdl, const char * par_access, int par_access_size)
+  {
+    std::string par_access_str;
+    if(!cstr2string(par_access, par_access_size, par_access_str)) return;
+    filegroup_hdl->par_access.setValue(par_access_str);
+    filegroup_hdl->sendAttributToServer(filegroup_hdl->par_access);
+  }
+  
+  void cxios_get_filegroup_par_access(filegroup_Ptr filegroup_hdl, char * par_access, int par_access_size)
+  {
+    if(!string_copy(filegroup_hdl->par_access.getValue(),par_access , par_access_size))
+      ERROR("void cxios_get_filegroup_par_access(filegroup_Ptr filegroup_hdl, char * par_access, int par_access_size)", <<"Input string is to short");
+  }
+  
+  
   void cxios_set_filegroup_split_freq(filegroup_Ptr filegroup_hdl, const char * split_freq, int split_freq_size)
   {
Index: XIOS/trunk/src/interface/fortran_attr/context_interface_attr.f90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/context_interface_attr.f90	(revision 335)
+++ XIOS/trunk/src/interface/fortran_attr/context_interface_attr.f90	(revision 336)
@@ -54,4 +54,19 @@
     
     
+    SUBROUTINE cxios_set_context_time_origin(context_hdl, time_origin, time_origin_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: time_origin
+      INTEGER  (kind = C_INT)     , VALUE        :: time_origin_size
+    END SUBROUTINE cxios_set_context_time_origin
+    
+    SUBROUTINE cxios_get_context_time_origin(context_hdl, time_origin, time_origin_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: time_origin
+      INTEGER  (kind = C_INT)     , VALUE        :: time_origin_size
+    END SUBROUTINE cxios_get_context_time_origin
+    
+    
     SUBROUTINE cxios_set_context_timestep(context_hdl, timestep, timestep_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90	(revision 335)
+++ XIOS/trunk/src/interface/fortran_attr/file_interface_attr.f90	(revision 336)
@@ -95,4 +95,19 @@
     
     
+    SUBROUTINE cxios_set_file_par_access(file_hdl, par_access, par_access_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: par_access
+      INTEGER  (kind = C_INT)     , VALUE        :: par_access_size
+    END SUBROUTINE cxios_set_file_par_access
+    
+    SUBROUTINE cxios_get_file_par_access(file_hdl, par_access, par_access_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: file_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: par_access
+      INTEGER  (kind = C_INT)     , VALUE        :: par_access_size
+    END SUBROUTINE cxios_get_file_par_access
+    
+    
     SUBROUTINE cxios_set_file_split_freq(file_hdl, split_freq, split_freq_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 335)
+++ XIOS/trunk/src/interface/fortran_attr/filegroup_interface_attr.f90	(revision 336)
@@ -110,4 +110,19 @@
     
     
+    SUBROUTINE cxios_set_filegroup_par_access(filegroup_hdl, par_access, par_access_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: par_access
+      INTEGER  (kind = C_INT)     , VALUE        :: par_access_size
+    END SUBROUTINE cxios_set_filegroup_par_access
+    
+    SUBROUTINE cxios_get_filegroup_par_access(filegroup_hdl, par_access, par_access_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: filegroup_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: par_access
+      INTEGER  (kind = C_INT)     , VALUE        :: par_access_size
+    END SUBROUTINE cxios_get_filegroup_par_access
+    
+    
     SUBROUTINE cxios_set_filegroup_split_freq(filegroup_hdl, split_freq, split_freq_size) BIND(C)
       USE ISO_C_BINDING