Index: /XIOS/trunk/src/buffer.cpp
===================================================================
--- /XIOS/trunk/src/buffer.cpp	(revision 339)
+++ /XIOS/trunk/src/buffer.cpp	(revision 339)
@@ -0,0 +1,52 @@
+#include "xmlioserver_spl.hpp"
+#include "buffer_ym.hpp"
+
+
+namespace xios
+{
+  namespace ym
+  {
+    CBuffer::CBuffer(void* buffer_,size_t size_)
+    {
+      own=false ;
+      realloc(buffer_,size_) ;
+    }
+    
+    CBuffer::CBuffer(size_t size_)
+    {
+      own=false ;
+      realloc(size_) ;
+    }
+
+    void CBuffer::realloc(size_t size_)
+    {
+      realloc(new char[size_],size_) ;
+      own=true ;
+    }
+
+    void CBuffer::realloc(void* buffer_,size_t size_)
+    {
+      if (own) delete [] buffer ;
+      buffer=(char*)buffer_ ;
+      size=size_ ;
+      count=0 ;
+      read=buffer ;
+      write=buffer ;
+      own=false ;
+    }
+
+    size_t CBuffer::remain(void)
+    {
+      return size-count ;
+    }    
+    
+    CBuffer::~CBuffer()
+    {
+      if (own) delete [] buffer ;
+    }
+    
+  }
+}
+    
+      
+    
Index: /XIOS/trunk/src/buffer.hpp
===================================================================
--- /XIOS/trunk/src/buffer.hpp	(revision 339)
+++ /XIOS/trunk/src/buffer.hpp	(revision 339)
@@ -0,0 +1,81 @@
+#ifndef __BUFFER_YM_HPP__
+#define __BUFFER_YM_HPP__
+
+
+#include "xmlioserver_spl.hpp"
+
+namespace xios
+{
+  namespace ym
+  {
+  
+    class CBuffer
+    {
+    
+      public:
+      
+      CBuffer(size_t size) ;
+      CBuffer(void* buffer,size_t size) ;
+
+      void realloc(size_t size) ;
+      void realloc(void* buffer,size_t size) ;
+      
+      template<class T>
+      bool put(const T& data) ;
+
+      template<class T>
+      bool put(const T* data, size_t n) ;
+
+      template<class T>
+      bool put_ptr(const T*& data_ptr, size_t n) ;
+      
+      template<class T>
+      bool get(T& data) ;
+
+      template<class T>
+      bool get(T* data, size_t n) ;
+
+      template<class T>
+      bool get_ptr(T*& data, size_t n) ;
+
+      
+ 
+      template<class T>
+      bool put_template(const T& data) ;
+
+      template<class T>
+      bool put_template(const T* data, size_t n) ;
+
+      template<class T>
+      bool put_ptr_template(const T*& data, size_t n) ;
+      
+      template<class T>
+      bool get_template(T& data) ;
+
+      template<class T>
+      bool get_template(T* data, size_t n) ;
+
+      template<class T>
+      bool get_ptr_template(T*& data, size_t n) ;
+      
+      size_t remain(void) ;
+                            
+      ~CBuffer() ;
+       char* buffer ;
+       char* read ;
+       char* write ;
+       size_t count ;
+       bool own ; 
+       size_t size ;   
+    } ;
+    
+    
+  
+ 
+  }
+}
+
+#include "buffer_ym_impl.hpp" 
+
+
+#endif
Index: OS/trunk/src/buffer_ym.cpp
===================================================================
--- /XIOS/trunk/src/buffer_ym.cpp	(revision 338)
+++ 	(revision )
@@ -1,52 +1,0 @@
-#include "xmlioserver_spl.hpp"
-#include "buffer_ym.hpp"
-
-
-namespace xios
-{
-  namespace ym
-  {
-    CBuffer::CBuffer(void* buffer_,size_t size_)
-    {
-      own=false ;
-      realloc(buffer_,size_) ;
-    }
-    
-    CBuffer::CBuffer(size_t size_)
-    {
-      own=false ;
-      realloc(size_) ;
-    }
-
-    void CBuffer::realloc(size_t size_)
-    {
-      realloc(new char[size_],size_) ;
-      own=true ;
-    }
-
-    void CBuffer::realloc(void* buffer_,size_t size_)
-    {
-      if (own) delete [] buffer ;
-      buffer=(char*)buffer_ ;
-      size=size_ ;
-      count=0 ;
-      read=buffer ;
-      write=buffer ;
-      own=false ;
-    }
-
-    size_t CBuffer::remain(void)
-    {
-      return size-count ;
-    }    
-    
-    CBuffer::~CBuffer()
-    {
-      if (own) delete [] buffer ;
-    }
-    
-  }
-}
-    
-      
-    
Index: OS/trunk/src/buffer_ym.hpp
===================================================================
--- /XIOS/trunk/src/buffer_ym.hpp	(revision 338)
+++ 	(revision )
@@ -1,81 +1,0 @@
-#ifndef __BUFFER_YM_HPP__
-#define __BUFFER_YM_HPP__
-
-
-#include "xmlioserver_spl.hpp"
-
-namespace xios
-{
-  namespace ym
-  {
-  
-    class CBuffer
-    {
-    
-      public:
-      
-      CBuffer(size_t size) ;
-      CBuffer(void* buffer,size_t size) ;
-
-      void realloc(size_t size) ;
-      void realloc(void* buffer,size_t size) ;
-      
-      template<class T>
-      bool put(const T& data) ;
-
-      template<class T>
-      bool put(const T* data, size_t n) ;
-
-      template<class T>
-      bool put_ptr(const T*& data_ptr, size_t n) ;
-      
-      template<class T>
-      bool get(T& data) ;
-
-      template<class T>
-      bool get(T* data, size_t n) ;
-
-      template<class T>
-      bool get_ptr(T*& data, size_t n) ;
-
-      
- 
-      template<class T>
-      bool put_template(const T& data) ;
-
-      template<class T>
-      bool put_template(const T* data, size_t n) ;
-
-      template<class T>
-      bool put_ptr_template(const T*& data, size_t n) ;
-      
-      template<class T>
-      bool get_template(T& data) ;
-
-      template<class T>
-      bool get_template(T* data, size_t n) ;
-
-      template<class T>
-      bool get_ptr_template(T*& data, size_t n) ;
-      
-      size_t remain(void) ;
-                            
-      ~CBuffer() ;
-       char* buffer ;
-       char* read ;
-       char* write ;
-       size_t count ;
-       bool own ; 
-       size_t size ;   
-    } ;
-    
-    
-  
- 
-  }
-}
-
-#include "buffer_ym_impl.hpp" 
-
-
-#endif