Index: XIOS/trunk/src/calendar.cpp
===================================================================
--- XIOS/trunk/src/calendar.cpp	(revision 342)
+++ XIOS/trunk/src/calendar.cpp	(revision 343)
@@ -6,6 +6,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
       CCalendar::CCalendar(void)
@@ -153,4 +151,3 @@
       ///----------------------------------------------------------------
 
-   } // namespace date
 } // namespace xios
Index: XIOS/trunk/src/calendar.hpp
===================================================================
--- XIOS/trunk/src/calendar.hpp	(revision 342)
+++ XIOS/trunk/src/calendar.hpp	(revision 343)
@@ -9,6 +9,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
 
@@ -98,5 +96,4 @@
 
       }; // class CCalendar
-   } // namespace date
 
 } // namespace xios
Index: XIOS/trunk/src/calendar_util.cpp
===================================================================
--- XIOS/trunk/src/calendar_util.cpp	(revision 342)
+++ XIOS/trunk/src/calendar_util.cpp	(revision 343)
@@ -3,6 +3,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
@@ -172,5 +170,4 @@
       ///----------------------------------------------------------------
 
-   } // namespace date
 } // namespace xios
 
Index: XIOS/trunk/src/calendar_util.hpp
===================================================================
--- XIOS/trunk/src/calendar_util.hpp	(revision 342)
+++ XIOS/trunk/src/calendar_util.hpp	(revision 343)
@@ -9,6 +9,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
 
@@ -35,5 +33,4 @@
       ///---------------------------------------------------------------
 
-   } // namespace date
 } // namespace xios
 
Index: XIOS/trunk/src/data_output.cpp
===================================================================
--- XIOS/trunk/src/data_output.cpp	(revision 342)
+++ XIOS/trunk/src/data_output.cpp	(revision 343)
@@ -77,5 +77,5 @@
          boost::shared_ptr<tree::CContext> context =
          CObjectFactory::GetObject<tree::CContext>(CObjectFactory::GetCurrentContextId());
-         boost::shared_ptr<date::CCalendar> calendar = context->getCalendar();
+         boost::shared_ptr<CCalendar> calendar = context->getCalendar();
          
          this->writeField_(field);
Index: XIOS/trunk/src/data_output.hpp
===================================================================
--- XIOS/trunk/src/data_output.hpp	(revision 342)
+++ XIOS/trunk/src/data_output.hpp	(revision 343)
@@ -51,5 +51,5 @@
             virtual void writeAxis_       (const boost::shared_ptr<tree::CAxis>     axis)   = 0;
             virtual void writeTimeAxis_   (const boost::shared_ptr<tree::CField>    field,
-                                           const boost::shared_ptr<date::CCalendar> cal)    = 0;
+                                           const boost::shared_ptr<CCalendar> cal)    = 0;
 
             /// PropriÃ©tÃ©s protÃ©gÃ©es ///
Index: XIOS/trunk/src/date.cpp
===================================================================
--- XIOS/trunk/src/date.cpp	(revision 342)
+++ XIOS/trunk/src/date.cpp	(revision 343)
@@ -10,6 +10,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
       CDate::CDate(const CCalendar& calendar)
@@ -224,4 +222,3 @@
       ///---------------------------------------------------------------
 
-   } // namespace date
 } // namespace xios
Index: XIOS/trunk/src/date.hpp
===================================================================
--- XIOS/trunk/src/date.hpp	(revision 342)
+++ XIOS/trunk/src/date.hpp	(revision 343)
@@ -9,6 +9,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
       class CCalendar;
@@ -72,5 +70,4 @@
       }; // class CDate;
 
-   } // namespace date
 } // namespace xios
 
Index: XIOS/trunk/src/date/allleap.cpp
===================================================================
--- XIOS/trunk/src/date/allleap.cpp	(revision 342)
+++ XIOS/trunk/src/date/allleap.cpp	(revision 343)
@@ -3,6 +3,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
@@ -38,5 +36,4 @@
 
       ///--------------------------------------------------------------
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/allleap.hpp
===================================================================
--- XIOS/trunk/src/date/allleap.hpp	(revision 342)
+++ XIOS/trunk/src/date/allleap.hpp	(revision 343)
@@ -8,6 +8,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
       class CAllLeapCalendar : public CCalendar
@@ -37,5 +35,4 @@
       }; // class CAllLeapCalendar
 
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/d360.cpp
===================================================================
--- XIOS/trunk/src/date/d360.cpp	(revision 342)
+++ XIOS/trunk/src/date/d360.cpp	(revision 343)
@@ -3,6 +3,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
@@ -35,5 +33,4 @@
 
       ///--------------------------------------------------------------
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/d360.hpp
===================================================================
--- XIOS/trunk/src/date/d360.hpp	(revision 342)
+++ XIOS/trunk/src/date/d360.hpp	(revision 343)
@@ -8,6 +8,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
       class CD360Calendar : public CCalendar
@@ -37,5 +35,4 @@
       }; // class CD360Calendar
 
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/gregorian.cpp
===================================================================
--- XIOS/trunk/src/date/gregorian.cpp	(revision 342)
+++ XIOS/trunk/src/date/gregorian.cpp	(revision 343)
@@ -3,6 +3,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
@@ -51,5 +49,4 @@
 
       ///--------------------------------------------------------------
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/gregorian.hpp
===================================================================
--- XIOS/trunk/src/date/gregorian.hpp	(revision 342)
+++ XIOS/trunk/src/date/gregorian.hpp	(revision 343)
@@ -8,6 +8,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
       class CGregorianCalendar : public CCalendar
@@ -37,5 +35,4 @@
       }; // class CGregorianCalendar
 
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/julian.cpp
===================================================================
--- XIOS/trunk/src/date/julian.cpp	(revision 342)
+++ XIOS/trunk/src/date/julian.cpp	(revision 343)
@@ -3,6 +3,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
@@ -45,4 +43,3 @@
 
       ///--------------------------------------------------------------
-   } // namespace date
 } // namespace xmlioserver
Index: XIOS/trunk/src/date/julian.hpp
===================================================================
--- XIOS/trunk/src/date/julian.hpp	(revision 342)
+++ XIOS/trunk/src/date/julian.hpp	(revision 343)
@@ -8,6 +8,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
       class CJulianCalendar : public CCalendar
@@ -37,5 +35,4 @@
       }; // class CJulianCalendar
 
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/noleap.cpp
===================================================================
--- XIOS/trunk/src/date/noleap.cpp	(revision 342)
+++ XIOS/trunk/src/date/noleap.cpp	(revision 343)
@@ -4,6 +4,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
 
@@ -31,5 +29,4 @@
 
       ///--------------------------------------------------------------
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/date/noleap.hpp
===================================================================
--- XIOS/trunk/src/date/noleap.hpp	(revision 342)
+++ XIOS/trunk/src/date/noleap.hpp	(revision 343)
@@ -8,6 +8,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
       class CNoLeapCalendar : public CCalendar
@@ -35,5 +33,4 @@
       }; // class CNoLeapCalendar
 
-   } // namespace date
 } // namespace xmlioserver
 
Index: XIOS/trunk/src/duration.cpp
===================================================================
--- XIOS/trunk/src/duration.cpp	(revision 342)
+++ XIOS/trunk/src/duration.cpp	(revision 343)
@@ -5,6 +5,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©finitions ////////////////////// ///
       const CDuration Year   = {1.0, 0.0, 0.0, 0.0, 0.0, 0.0},
@@ -141,5 +139,4 @@
 
 
-   } // namespace date
 } // namespace xios
 
Index: XIOS/trunk/src/duration.hpp
===================================================================
--- XIOS/trunk/src/duration.hpp	(revision 342)
+++ XIOS/trunk/src/duration.hpp	(revision 343)
@@ -8,6 +8,4 @@
 namespace xios
 {
-   namespace date
-   {
       /// ////////////////////// DÃ©clarations ////////////////////// ///
       typedef long long int Time;
@@ -49,5 +47,4 @@
       ///---------------------------------------------------------------
 
-   } // namespace date
 } // namespace xios
 
Index: XIOS/trunk/src/field_impl.hpp
===================================================================
--- XIOS/trunk/src/field_impl.hpp	(revision 342)
+++ XIOS/trunk/src/field_impl.hpp	(revision 343)
@@ -25,7 +25,7 @@
    {        
       shared_ptr<CContext> context=CObjectFactory::GetObject<CContext>(CObjectFactory::GetCurrentContextId()) ;
-      const date::CDate & currDate = context->getCalendar()->getCurrentDate();
-      const date::CDate opeDate      = *last_operation + freq_operation;
-      const date::CDate writeDate    = *last_Write     + freq_write;       
+      const CDate & currDate = context->getCalendar()->getCurrentDate();
+      const CDate opeDate      = *last_operation + freq_operation;
+      const CDate writeDate    = *last_Write     + freq_write;       
 
    
Index: XIOS/trunk/src/interface/c/icdate.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icdate.cpp	(revision 342)
+++ XIOS/trunk/src/interface/c/icdate.cpp	(revision 343)
@@ -25,5 +25,5 @@
       try
       {
-         date::CDuration dur = {ts_year, ts_month, ts_day, ts_hour, ts_minute, ts_second};
+         CDuration dur = {ts_year, ts_month, ts_day, ts_hour, ts_minute, ts_second};
          boost::shared_ptr<xios::tree::CContext> context =
          xios::CObjectFactory::GetObject<xios::tree::CContext>
Index: XIOS/trunk/src/node/context.cpp
===================================================================
--- XIOS/trunk/src/node/context.cpp	(revision 342)
+++ XIOS/trunk/src/node/context.cpp	(revision 343)
@@ -63,5 +63,5 @@
    //----------------------------------------------------------------
 
-   boost::shared_ptr<date::CCalendar> CContext::getCalendar(void) const
+   boost::shared_ptr<CCalendar> CContext::getCalendar(void) const
    {
       return (this->calendar);
@@ -70,5 +70,5 @@
    //----------------------------------------------------------------
    
-   void CContext::setCalendar(boost::shared_ptr<date::CCalendar> newCalendar)
+   void CContext::setCalendar(boost::shared_ptr<CCalendar> newCalendar)
    {
       this->calendar = newCalendar;
@@ -91,11 +91,11 @@
    {                                                                  \
       if (time_origin.isEmpty())                                       \
-        this->calendar =  boost::shared_ptr<date::CCalendar>          \
-           (new date::C##MType##Calendar(start_date.getValue()));     \
-      else this->calendar =  boost::shared_ptr<date::CCalendar>       \
-           (new date::C##MType##Calendar(start_date.getValue(),time_origin.getValue()));     \
+        this->calendar =  boost::shared_ptr<CCalendar>          \
+           (new C##MType##Calendar(start_date.getValue()));     \
+      else this->calendar =  boost::shared_ptr<CCalendar>       \
+           (new C##MType##Calendar(start_date.getValue(),time_origin.getValue()));     \
       if (!this->timestep.isEmpty())                                  \
        this->calendar->setTimeStep                                    \
-          (date::CDuration::FromString(this->timestep.getValue()));   \
+          (CDuration::FromString(this->timestep.getValue()));   \
       return;                                                         \
    }
Index: XIOS/trunk/src/node/context.hpp
===================================================================
--- XIOS/trunk/src/node/context.hpp	(revision 342)
+++ XIOS/trunk/src/node/context.hpp	(revision 343)
@@ -78,9 +78,9 @@
       
          /// Mutateurs ///
-         void setCalendar(boost::shared_ptr<date::CCalendar> newCalendar);
+         void setCalendar(boost::shared_ptr<CCalendar> newCalendar);
          void setDataTreatment(boost::shared_ptr<data::CDataTreatment> datat);
       
          /// Accesseurs ///
-         boost::shared_ptr<date::CCalendar>      getCalendar(void) const;
+         boost::shared_ptr<CCalendar>      getCalendar(void) const;
          boost::shared_ptr<data::CDataTreatment> getDataTreatment(void) const;
 
@@ -148,5 +148,5 @@
       public :
       
-         boost::shared_ptr<date::CCalendar>      calendar;
+         boost::shared_ptr<CCalendar>      calendar;
          boost::shared_ptr<data::CDataTreatment> datat;
  
Index: XIOS/trunk/src/node/field.cpp
===================================================================
--- XIOS/trunk/src/node/field.cpp	(revision 342)
+++ XIOS/trunk/src/node/field.cpp	(revision 343)
@@ -46,9 +46,9 @@
 
    bool CField::updateDataServer
-      (const date::CDate & currDate,
+      (const CDate & currDate,
        const std::deque<ARRAY(double, 1)> storedClient)
    {
-      const date::CDate opeDate      = *last_operation + freq_operation;
-      const date::CDate writeDate    = *last_Write     + freq_write; 
+      const CDate opeDate      = *last_operation + freq_operation;
+      const CDate writeDate    = *last_Write     + freq_write; 
       
       if (opeDate <= currDate)
@@ -152,7 +152,7 @@
 
     shared_ptr<CContext> context=CObjectFactory::GetObject<CContext>(CObjectFactory::GetCurrentContextId()) ;
-    const date::CDate & currDate = context->getCalendar()->getCurrentDate();
-    const date::CDate opeDate      = *last_operation_srv + freq_operation_srv;
-    const date::CDate writeDate    = *last_Write_srv     + freq_write_srv; 
+    const CDate & currDate = context->getCalendar()->getCurrentDate();
+    const CDate opeDate      = *last_operation_srv + freq_operation_srv;
+    const CDate writeDate    = *last_Write_srv     + freq_write_srv; 
     
 
@@ -271,5 +271,5 @@
    //----------------------------------------------------------------
    
-   const date::CDuration & CField::getFreqOperation(void) const
+   const CDuration & CField::getFreqOperation(void) const
    {
       return (this->freq_operation);
@@ -277,5 +277,5 @@
    
    //----------------------------------------------------------------
-   const date::CDuration & CField::getFreqWrite(void) const
+   const CDuration & CField::getFreqWrite(void) const
    {
       return (this->freq_write);
@@ -309,5 +309,5 @@
    //----------------------------------------------------------------
 
-   boost::shared_ptr<date::CDate> CField::getLastWriteDate(void) const
+   boost::shared_ptr<CDate> CField::getLastWriteDate(void) const
    {
       return(this->last_Write);
@@ -316,5 +316,5 @@
    //----------------------------------------------------------------
 
-   boost::shared_ptr<date::CDate> CField::getLastOperationDate(void) const
+   boost::shared_ptr<CDate> CField::getLastOperationDate(void) const
    {
       return(this->last_operation);
@@ -355,5 +355,4 @@
    {
       using namespace func;
-      using namespace date;
        
       StdString id = this->getBaseFieldReference()->getId();
@@ -385,10 +384,10 @@
          this->freq_write_srv     =
              CDuration::FromString(this->file->output_freq.getValue());
-         this->lastlast_Write_srv     = boost::shared_ptr<xios::date::CDate>
-                        (new date::CDate(context->getCalendar()->getInitDate()));
-         this->last_Write_srv     = boost::shared_ptr<xios::date::CDate>
-                        (new date::CDate(context->getCalendar()->getInitDate()));
-         this->last_operation_srv = boost::shared_ptr<xios::date::CDate>
-                        (new date::CDate(context->getCalendar()->getInitDate()));
+         this->lastlast_Write_srv     = boost::shared_ptr<CDate>
+                        (new CDate(context->getCalendar()->getInitDate()));
+         this->last_Write_srv     = boost::shared_ptr<CDate>
+                        (new CDate(context->getCalendar()->getInitDate()));
+         this->last_operation_srv = boost::shared_ptr<CDate>
+                        (new CDate(context->getCalendar()->getInitDate()));
 //         this->foperation_srv     =
 //             boost::shared_ptr<func::CFunctor>(new CInstant(this->data_srv));
@@ -402,8 +401,8 @@
          this->freq_operation = CDuration::FromString(freq_op.getValue());
          this->freq_write     = CDuration::FromString(this->file->output_freq.getValue());
-         this->last_Write     = boost::shared_ptr<xios::date::CDate>
-                        (new date::CDate(context->getCalendar()->getInitDate()));
-         this->last_operation = boost::shared_ptr<xios::date::CDate>
-                        (new date::CDate(context->getCalendar()->getInitDate()));
+         this->last_Write     = boost::shared_ptr<CDate>
+                        (new CDate(context->getCalendar()->getInitDate()));
+         this->last_operation = boost::shared_ptr<CDate>
+                        (new CDate(context->getCalendar()->getInitDate()));
                         
          const CDuration toffset = this->freq_operation - freq_offset_ - context->getCalendar()->getTimeStep(); 
Index: XIOS/trunk/src/node/field.hpp
===================================================================
--- XIOS/trunk/src/node/field.hpp	(revision 342)
+++ XIOS/trunk/src/node/field.hpp	(revision 343)
@@ -73,9 +73,9 @@
          StdSize getNStep(void) const;
 
-         const date::CDuration & getFreqOperation(void) const;
-         const date::CDuration & getFreqWrite(void) const;
+         const CDuration & getFreqOperation(void) const;
+         const CDuration & getFreqWrite(void) const;
 
-         boost::shared_ptr<date::CDate> getLastWriteDate(void) const;
-         boost::shared_ptr<date::CDate> getLastOperationDate(void) const;
+         boost::shared_ptr<CDate> getLastWriteDate(void) const;
+         boost::shared_ptr<CDate> getLastOperationDate(void) const;
 
          boost::shared_ptr<func::CFunctor> getFieldOperation(void) const;
@@ -93,5 +93,5 @@
          
          bool updateDataServer
-               (const date::CDate & currDate,
+               (const CDate & currDate,
                 const std::deque<ARRAY(double, 1)> storedClient);
  
@@ -136,10 +136,10 @@
          boost::shared_ptr<CFile>  file;
 
-         date::CDuration freq_operation, freq_write;
-         date::CDuration freq_operation_srv, freq_write_srv;
+         CDuration freq_operation, freq_write;
+         CDuration freq_operation_srv, freq_write_srv;
 
          StdSize nstep;
-         boost::shared_ptr<date::CDate>    last_Write, last_operation;
-         boost::shared_ptr<date::CDate>    lastlast_Write_srv,last_Write_srv, last_operation_srv;
+         boost::shared_ptr<CDate>    last_Write, last_operation;
+         boost::shared_ptr<CDate>    lastlast_Write_srv,last_Write_srv, last_operation_srv;
          
          boost::shared_ptr<func::CFunctor> foperation;
Index: XIOS/trunk/src/node/file.cpp
===================================================================
--- XIOS/trunk/src/node/file.cpp	(revision 342)
+++ XIOS/trunk/src/node/file.cpp	(revision 343)
@@ -130,5 +130,5 @@
    {
      shared_ptr<CContext> context=CObjectFactory::GetObject<CContext>(CObjectFactory::GetCurrentContextId()) ;
-     date::CDate& currentDate=context->calendar->getCurrentDate() ;
+     CDate& currentDate=context->calendar->getCurrentDate() ;
      if (! sync_freq.isEmpty())
      {
@@ -145,11 +145,11 @@
    {
       shared_ptr<CContext> context=CObjectFactory::GetObject<CContext>(CObjectFactory::GetCurrentContextId()) ;
-      date::CDate& currentDate=context->calendar->getCurrentDate() ;
-      
-      if (! sync_freq.isEmpty()) syncFreq = date::CDuration::FromString(sync_freq.getValue());
-      if (! split_freq.isEmpty()) splitFreq = date::CDuration::FromString(split_freq.getValue());
-      if (! output_freq.isEmpty()) outputFreq = date::CDuration::FromString(output_freq.getValue());
-      lastSync=new date::CDate(currentDate) ;
-      lastSplit=new date::CDate(currentDate) ;
+      CDate& currentDate=context->calendar->getCurrentDate() ;
+      
+      if (! sync_freq.isEmpty()) syncFreq = CDuration::FromString(sync_freq.getValue());
+      if (! split_freq.isEmpty()) splitFreq = CDuration::FromString(split_freq.getValue());
+      if (! output_freq.isEmpty()) outputFreq = CDuration::FromString(output_freq.getValue());
+      lastSync=new CDate(currentDate) ;
+      lastSplit=new CDate(currentDate) ;
       isOpen=false ;
     }
@@ -166,5 +166,5 @@
    {
      shared_ptr<CContext> context=CObjectFactory::GetObject<CContext>(CObjectFactory::GetCurrentContextId()) ;
-     date::CDate& currentDate=context->calendar->getCurrentDate() ;
+     CDate& currentDate=context->calendar->getCurrentDate() ;
      if (! sync_freq.isEmpty())
      {
@@ -183,5 +183,5 @@
     {
       shared_ptr<CContext> context=CObjectFactory::GetObject<CContext>(CObjectFactory::GetCurrentContextId()) ;
-      date::CDate& currentDate=context->calendar->getCurrentDate() ;
+      CDate& currentDate=context->calendar->getCurrentDate() ;
       if (! split_freq.isEmpty())
       {
@@ -202,5 +202,5 @@
    {
       shared_ptr<CContext> context=CObjectFactory::GetObject<CContext>(CObjectFactory::GetCurrentContextId()) ;
-      date::CDate& currentDate=context->calendar->getCurrentDate() ;
+      CDate& currentDate=context->calendar->getCurrentDate() ;
       
       std::vector<boost::shared_ptr<CField> >::iterator it, end = this->enabledFields.end();
@@ -224,5 +224,5 @@
          if (!name_suffix.isEmpty()) oss << name_suffix.getValue();
 //         if (!split_freq.isEmpty()) oss<<"-["<<currentDate.toString()<<"]" ;
-         if (!split_freq.isEmpty()) oss<<"_"<<lastSplit->getStryyyymmdd()<<"-"<< (*lastSplit+(splitFreq-1*date::Second)).getStryyyymmdd();
+         if (!split_freq.isEmpty()) oss<<"_"<<lastSplit->getStryyyymmdd()<<"-"<< (*lastSplit+(splitFreq-1*Second)).getStryyyymmdd();
          bool multifile=true ;
          if (!type.isEmpty())
Index: XIOS/trunk/src/node/file.hpp
===================================================================
--- XIOS/trunk/src/node/file.hpp	(revision 342)
+++ XIOS/trunk/src/node/file.hpp	(revision 343)
@@ -108,9 +108,9 @@
          void checkFile(void) ;
          void initFile(void) ;
-         date::CDate* lastSync ;
-         date::CDate* lastSplit ;
-         date::CDuration syncFreq ;
-         date::CDuration splitFreq ;
-         date::CDuration outputFreq ;
+         CDate* lastSync ;
+         CDate* lastSplit ;
+         CDuration syncFreq ;
+         CDuration splitFreq ;
+         CDuration outputFreq ;
          int nbDomain ;
          bool isOpen ;
Index: XIOS/trunk/src/output/nc4_data_output.cpp
===================================================================
--- XIOS/trunk/src/output/nc4_data_output.cpp	(revision 342)
+++ XIOS/trunk/src/output/nc4_data_output.cpp	(revision 343)
@@ -482,8 +482,8 @@
  //        ARRAY(double, 1) field_data = field->data_srv;
          ARRAY_CREATE(time_data, double, 1, [1]);
-         if (field->operation.getValue()=="instant") (*time_data)[0] = date::Time(*field->last_Write_srv)
-                                                                      -date::Time(context->calendar->getTimeOrigin());
-         else (*time_data)[0] = (date::Time(*field->last_Write_srv)+date::Time(*field->lastlast_Write_srv))/2
-                               -date::Time(context->calendar->getTimeOrigin());
+         if (field->operation.getValue()=="instant") (*time_data)[0] = Time(*field->last_Write_srv)
+                                                                      -Time(context->calendar->getTimeOrigin());
+         else (*time_data)[0] = (Time(*field->last_Write_srv)+Time(*field->lastlast_Write_srv))/2
+                               -Time(context->calendar->getTimeOrigin());
            
          if (grid->hasAxis()) // 3D
@@ -562,5 +562,5 @@
       void CNc4DataOutput::writeTimeAxis_
                   (const boost::shared_ptr<tree::CField>    field,
-                   const boost::shared_ptr<date::CCalendar> cal)
+                   const boost::shared_ptr<CCalendar> cal)
       {
          StdOStringStream oss;
@@ -576,5 +576,5 @@
          {
             SuperClassWriter::addVariable(axisid, NC_DOUBLE, dims);
-            date::CDate timeOrigin=cal->getTimeOrigin() ;
+            CDate timeOrigin=cal->getTimeOrigin() ;
 //            StdOStringStream oss2;
 //            oss2<<initDate.getYear()<<"-"<<initDate.getMonth()<<"-"<<initDate.getDay()<<" "
Index: XIOS/trunk/src/output/nc4_data_output.hpp
===================================================================
--- XIOS/trunk/src/output/nc4_data_output.hpp	(revision 342)
+++ XIOS/trunk/src/output/nc4_data_output.hpp	(revision 343)
@@ -48,5 +48,5 @@
             virtual void syncFile_      (void);
             virtual void writeTimeAxis_  (const boost::shared_ptr<tree::CField>    field,
-                                          const boost::shared_ptr<date::CCalendar> cal);
+                                          const boost::shared_ptr<CCalendar> cal);
 
          protected :
Index: XIOS/trunk/src/test/test.cpp
===================================================================
--- XIOS/trunk/src/test/test.cpp	(revision 342)
+++ XIOS/trunk/src/test/test.cpp	(revision 343)
@@ -13,5 +13,4 @@
 using namespace boost::gregorian ;
 using namespace xios;
-using namespace date ;
 
 int main(void)