Index: XIOS/trunk/src/interface/c/icaxis.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icaxis.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icaxis.cpp	(revision 345)
@@ -20,6 +20,6 @@
    // ----------------------- RedÃ©finition de types ----------------------------
    
-   typedef xios::tree::CAxis      * XAxisPtr;
-   typedef xios::tree::CAxisGroup * XAxisGroupPtr;
+   typedef xios::CAxis      * XAxisPtr;
+   typedef xios::CAxisGroup * XAxisGroupPtr;
 
    // ------------------------ CrÃ©ation des handle -----------------------------
@@ -30,5 +30,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CAxis>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CAxis>(id).get();
    }
    
@@ -38,5 +38,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CAxisGroup>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CAxisGroup>(id).get();
    }
 
@@ -48,5 +48,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CAxis>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CAxis>(id);
    }
 
@@ -56,5 +56,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CAxisGroup>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CAxisGroup>(id);
    }
    
Index: XIOS/trunk/src/interface/c/iccontext.cpp
===================================================================
--- XIOS/trunk/src/interface/c/iccontext.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/iccontext.cpp	(revision 345)
@@ -24,5 +24,5 @@
    typedef enum { D360 = 0 , ALLLEAP, NOLEAP, JULIAN, GREGORIAN } XCalendarType ;
 
-   typedef xios::tree::CContext * XContextPtr;
+   typedef xios::CContext * XContextPtr;
 
    // ------------------------ CrÃ©ation des handle -----------------------------
@@ -33,6 +33,6 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      std::vector<boost::shared_ptr<xios::tree::CContext> > def_vector =
-            xios::tree::CContext::GetContextGroup()->getChildList();
+      std::vector<boost::shared_ptr<xios::CContext> > def_vector =
+            xios::CContext::GetContextGroup()->getChildList();
 
       for (std::size_t i = 0; i < def_vector.size(); i++)
@@ -60,6 +60,6 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      std::vector<boost::shared_ptr<xios::tree::CContext> > def_vector =
-            xios::tree::CContext::GetContextGroup()->getChildList();
+      std::vector<boost::shared_ptr<xios::CContext> > def_vector =
+            xios::CContext::GetContextGroup()->getChildList();
 
       for (std::size_t i = 0; i < def_vector.size(); i++)
Index: XIOS/trunk/src/interface/c/icdata.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icdata.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icdata.cpp	(revision 345)
@@ -31,5 +31,5 @@
    typedef enum { NETCDF4 = 0 } XFileType;
    
-   typedef xios::tree::CContext * XContextPtr;
+   typedef xios::CContext * XContextPtr;
 
    // -------------------- Traitement des donnÃ©es ------------------------------
Index: XIOS/trunk/src/interface/c/icdate.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icdate.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icdate.cpp	(revision 345)
@@ -26,6 +26,6 @@
       {
          CDuration dur = {ts_year, ts_month, ts_day, ts_hour, ts_minute, ts_second};
-         boost::shared_ptr<xios::tree::CContext> context =
-         xios::CObjectFactory::GetObject<xios::tree::CContext>
+         boost::shared_ptr<xios::CContext> context =
+         xios::CObjectFactory::GetObject<xios::CContext>
             (CObjectFactory::GetCurrentContextId());
          
@@ -42,6 +42,6 @@
    void cxios_update_calendar(int step)
    {
-      boost::shared_ptr<xios::tree::CContext> context =
-            xios::CObjectFactory::GetObject<xios::tree::CContext>
+      boost::shared_ptr<xios::CContext> context =
+            xios::CObjectFactory::GetObject<xios::CContext>
             (CObjectFactory::GetCurrentContextId());
       context->updateCalendar(step) ;
Index: XIOS/trunk/src/interface/c/icdomain.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icdomain.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icdomain.cpp	(revision 345)
@@ -20,6 +20,6 @@
    // ----------------------- RedÃ©finition de types ----------------------------
 
-   typedef xios::tree::CDomain      * XDomainPtr;
-   typedef xios::tree::CDomainGroup * XDomainGroupPtr;
+   typedef xios::CDomain      * XDomainPtr;
+   typedef xios::CDomainGroup * XDomainGroupPtr;
 
    // ------------------------ CrÃ©ation des handle -----------------------------
@@ -30,5 +30,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CDomain>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CDomain>(id).get();
    }
    
@@ -38,5 +38,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CDomainGroup>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CDomainGroup>(id).get();
    }
 
@@ -48,5 +48,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CDomain>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CDomain>(id);
    }
 
@@ -56,5 +56,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CDomainGroup>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CDomainGroup>(id);
    }
 } // extern "C"
Index: XIOS/trunk/src/interface/c/icfield.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icfield.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icfield.cpp	(revision 345)
@@ -20,6 +20,6 @@
    // ----------------------- RedÃ©finition de types ----------------------------
    
-   typedef xios::tree::CField      * XFieldPtr;
-   typedef xios::tree::CFieldGroup * XFieldGroupPtr;
+   typedef xios::CField      * XFieldPtr;
+   typedef xios::CFieldGroup * XFieldGroupPtr;
    
 // --------------------------------------------------------------------------   
@@ -32,5 +32,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CField>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CField>(id).get();
    }
    
@@ -40,5 +40,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CFieldGroup>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CFieldGroup>(id).get();
    }
 
@@ -51,5 +51,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CField>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CField>(id);
    }
 
@@ -59,5 +59,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CFieldGroup>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CFieldGroup>(id);
    }
 
Index: XIOS/trunk/src/interface/c/icfile.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icfile.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icfile.cpp	(revision 345)
@@ -20,6 +20,6 @@
    // ----------------------- RedÃ©finition de types ----------------------------
    
-   typedef xios::tree::CFile      * XFilePtr;
-   typedef xios::tree::CFileGroup * XFileGroupPtr;
+   typedef xios::CFile      * XFilePtr;
+   typedef xios::CFileGroup * XFileGroupPtr;
 
    // ------------------------ CrÃ©ation des handle -----------------------------
@@ -30,5 +30,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CFile>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CFile>(id).get();
    }
    
@@ -38,5 +38,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CFileGroup>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CFileGroup>(id).get();
    }
 
@@ -48,5 +48,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CFile>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CFile>(id);
    }
 
@@ -56,5 +56,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CFileGroup>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CFileGroup>(id);
    }
 } // extern "C"
Index: XIOS/trunk/src/interface/c/icgrid.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icgrid.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icgrid.cpp	(revision 345)
@@ -20,6 +20,6 @@
    // ----------------------- RedÃ©finition de types ----------------------------
    
-   typedef xios::tree::CGrid      * XGridPtr;
-   typedef xios::tree::CGridGroup * XGridGroupPtr;
+   typedef xios::CGrid      * XGridPtr;
+   typedef xios::CGridGroup * XGridGroupPtr;
 
    // ------------------------ CrÃ©ation des handle -----------------------------
@@ -30,5 +30,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CGrid>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CGrid>(id).get();
    }
    
@@ -38,5 +38,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::GetObject<xios::tree::CGridGroup>(id).get();
+      *_ret = xios::CObjectFactory::GetObject<xios::CGridGroup>(id).get();
    }
 
@@ -48,5 +48,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CGrid>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CGrid>(id);
    }
 
@@ -56,5 +56,5 @@
       if (!cstr2string(_id, _id_len, id)) return;
 
-      *_ret = xios::CObjectFactory::HasObject<xios::tree::CGridGroup>(id);
+      *_ret = xios::CObjectFactory::HasObject<xios::CGridGroup>(id);
    }
 } // extern "C"
Index: XIOS/trunk/src/interface/c/icxml_tree.cpp
===================================================================
--- XIOS/trunk/src/interface/c/icxml_tree.cpp	(revision 343)
+++ XIOS/trunk/src/interface/c/icxml_tree.cpp	(revision 345)
@@ -20,20 +20,20 @@
    // ----------------------- RedÃ©finition de types ----------------------------
 
-   typedef xios::tree::CContext * XContextPtr;
-
-   typedef xios::tree::CGrid      * XGridPtr;
-   typedef xios::tree::CGridGroup * XGridGroupPtr;
-
-   typedef xios::tree::CFile      * XFilePtr;
-   typedef xios::tree::CFileGroup * XFileGroupPtr;
-
-   typedef xios::tree::CField      * XFieldPtr;
-   typedef xios::tree::CFieldGroup * XFieldGroupPtr;
-
-   typedef xios::tree::CDomain      * XDomainPtr;
-   typedef xios::tree::CDomainGroup * XDomainGroupPtr;
-
-   typedef xios::tree::CAxis      * XAxisPtr;
-   typedef xios::tree::CAxisGroup * XAxisGroupPtr;
+   typedef xios::CContext * XContextPtr;
+
+   typedef xios::CGrid      * XGridPtr;
+   typedef xios::CGridGroup * XGridGroupPtr;
+
+   typedef xios::CFile      * XFilePtr;
+   typedef xios::CFileGroup * XFileGroupPtr;
+
+   typedef xios::CField      * XFieldPtr;
+   typedef xios::CFieldGroup * XFieldGroupPtr;
+
+   typedef xios::CDomain      * XDomainPtr;
+   typedef xios::CDomainGroup * XDomainGroupPtr;
+
+   typedef xios::CAxis      * XAxisPtr;
+   typedef xios::CAxisGroup * XAxisGroupPtr;
    
    // ----------------------- Ajout d'enfant Ã  un parent -----------------------