Index: XIOS/trunk/src/attribute_template.hpp
===================================================================
--- XIOS/trunk/src/attribute_template.hpp	(revision 352)
+++ XIOS/trunk/src/attribute_template.hpp	(revision 354)
@@ -40,9 +40,9 @@
 
             /// Accesseur ///
-            inline ValueType getValue(void) const;
-            inline ValueType* getRef(void) ;
+            ValueType getValue(void) const;
+            ValueType* getRef(void) ;
 
             /// Mutateurs ///
-            inline void setValue(const ValueType & value);
+            void setValue(const ValueType & value);
 
             /// Destructeur ///
Index: XIOS/trunk/src/generate_interface_impl.hpp
===================================================================
--- XIOS/trunk/src/generate_interface_impl.hpp	(revision 352)
+++ XIOS/trunk/src/generate_interface_impl.hpp	(revision 354)
@@ -207,5 +207,5 @@
    }
     
-#define macro(T)\     
+#define macro(T)\
    template <>\
    void CInterface::AttributeFortran2003Interface<ARRAY(T,1)>(ostream& oss,const string& className,const string& name) \
@@ -309,5 +309,5 @@
    }
 
-#define macro(T)\   
+#define macro(T)\
    template <> \
    void CInterface::AttributeFortranInterfaceDeclaration<ARRAY(T,1)>(ostream& oss,const string& className,const string& name) \
Index: XIOS/trunk/src/group_factory.hpp
===================================================================
--- XIOS/trunk/src/group_factory.hpp	(revision 352)
+++ XIOS/trunk/src/group_factory.hpp	(revision 354)
@@ -23,9 +23,9 @@
 
          template <typename U>
-            static inline void AddGroup(boost::shared_ptr<U> pgroup,
+            static void AddGroup(boost::shared_ptr<U> pgroup,
                                         boost::shared_ptr<U> cgroup);
 
          template <typename U>
-            static inline void AddChild(boost::shared_ptr<U> group,
+            static void AddChild(boost::shared_ptr<U> group,
                                         boost::shared_ptr<typename U::RelChild> child);
 
@@ -34,34 +34,34 @@
 
          template <typename U>
-            static inline boost::shared_ptr<U>
+            static boost::shared_ptr<U>
                GetGroup(boost::shared_ptr<U> group, const StdString & id);
 
          template <typename U>
-            static inline boost::shared_ptr<typename U::RelChild>
+            static boost::shared_ptr<typename U::RelChild>
                GetChild(boost::shared_ptr<U> group, const StdString & id);
 
          template <typename U>
-            static inline int GetGroupNum(boost::shared_ptr<U> group);
+            static int GetGroupNum(boost::shared_ptr<U> group);
          template <typename U>
-            static inline int GetGroupIdNum(boost::shared_ptr<U> group);
+            static int GetGroupIdNum(boost::shared_ptr<U> group);
          template <typename U>
-            static inline int GetChildNum(boost::shared_ptr<U> group);
+            static int GetChildNum(boost::shared_ptr<U> group);
          template <typename U>
-            static inline int GetChildIdNum(boost::shared_ptr<U> group);
+            static int GetChildIdNum(boost::shared_ptr<U> group);
 
          /// Tests ///
          template <typename U>
-            static inline bool HasGroup(boost::shared_ptr<U> group, const StdString & id);
+            static bool HasGroup(boost::shared_ptr<U> group, const StdString & id);
 
          template <typename U>
-            static inline bool HasChild(boost::shared_ptr<U> group, const StdString & id);
+            static bool HasChild(boost::shared_ptr<U> group, const StdString & id);
 
          /// Instanciateur ///
          template <typename U>
-            static inline boost::shared_ptr<U>
+            static boost::shared_ptr<U>
                CreateGroup(boost::shared_ptr<U> group, const StdString & id = StdString(""));
 
          template <typename U>
-            static inline boost::shared_ptr<typename U::RelChild>
+            static boost::shared_ptr<typename U::RelChild>
                CreateChild(boost::shared_ptr<U> group, const StdString & id = StdString(""));
 
Index: XIOS/trunk/src/group_template.hpp
===================================================================
--- XIOS/trunk/src/group_template.hpp	(revision 352)
+++ XIOS/trunk/src/group_template.hpp	(revision 354)
@@ -55,6 +55,6 @@
 
          /// Accesseurs statiques ///
-         static inline StdString GetName(void);
-         static inline StdString GetDefName(void);
+         static StdString GetName(void);
+         static StdString GetDefName(void);
 
          /// Traitements ///
Index: XIOS/trunk/src/node/context.cpp
===================================================================
--- XIOS/trunk/src/node/context.cpp	(revision 352)
+++ XIOS/trunk/src/node/context.cpp	(revision 354)
@@ -248,5 +248,5 @@
    {
 #define DECLARE_NODE(Name_, name_)    \
-   if (C##Name_##Definition::has(C##Name_##Definition::GetDefName())) \ 
+   if (C##Name_##Definition::has(C##Name_##Definition::GetDefName())) \
      C##Name_##Definition::get(C##Name_##Definition::GetDefName())->solveDescInheritance();
 #define DECLARE_NODE_PAR(Name_, name_)
Index: XIOS/trunk/src/output/onetcdf4.cpp
===================================================================
--- XIOS/trunk/src/output/onetcdf4.cpp	(revision 352)
+++ XIOS/trunk/src/output/onetcdf4.cpp	(revision 354)
@@ -360,4 +360,10 @@
                                     const std::vector<StdSize> & scount, double * data)
       {
+         cout<<"writeData_"<<endl ;
+         for(int i=0;i<sstart.size();i++) cout<<sstart[i]<<"   " ;
+         cout<<endl ;
+         for(int i=0;i<scount.size();i++) cout<<scount[i]<<"   " ;
+         cout<<endl ;
+         
          CheckError(nc_put_vara_double(grpid, varid, &(sstart[0]), &(scount[0]), data));
 //         sync() ;
Index: XIOS/trunk/src/output/onetcdf4.hpp
===================================================================
--- XIOS/trunk/src/output/onetcdf4.hpp	(revision 352)
+++ XIOS/trunk/src/output/onetcdf4.hpp	(revision 354)
@@ -11,7 +11,9 @@
 #define MPI_INCLUDED
 #include <netcdf.h>
+#ifdef NETCDF_PAR_HEADER
 extern "C" {
 #include <netcdf_par.h>
 }
+#endif
 
 
Index: XIOS/trunk/src/output/onetcdf4_impl.hpp
===================================================================
--- XIOS/trunk/src/output/onetcdf4_impl.hpp	(revision 352)
+++ XIOS/trunk/src/output/onetcdf4_impl.hpp	(revision 354)
@@ -45,5 +45,5 @@
     if (value != NULL)
     {
-      CheckError(nc_def_var_fill(grpid, varid, 0, value));
+      CheckError(nc_def_var_fill(grpid, varid, 0, (void*)value));
       this->addAttribute(StdString("missing_value"), *value, &varname);
     }
Index: XIOS/trunk/src/type/type_specialisation.hpp
===================================================================
--- XIOS/trunk/src/type/type_specialisation.hpp	(revision 352)
+++ XIOS/trunk/src/type/type_specialisation.hpp	(revision 354)
@@ -96,5 +96,5 @@
 */
 
-#define CTYPE_ARRAY(ValueType,NumsDims)                                \  
+#define CTYPE_ARRAY(ValueType,NumsDims)                                \
   template<>                                                           \
   size_t CType< ARRAY(ValueType,NumsDims)>::size() const                           \